package cn.com.poc.ai_dialogues.dto;

/**
 * 对话记录Dto
 *
 * @author alex.yao
 * @date 2025/6/19
 */
public class AiDialoguesRecordDto {

    /**
     * dialogues_id
     * 对话ID
     */
    private java.lang.String dialoguesId;

    public java.lang.String getDialoguesId() {
        return this.dialoguesId;
    }

    public void setDialoguesId(java.lang.String dialoguesId) {
        this.dialoguesId = dialoguesId;
    }

    /**
     * dialogues_type
     * 对话类型
     */
    private java.lang.String dialoguesType;

    public java.lang.String getDialoguesType() {
        return this.dialoguesType;
    }

    public void setDialoguesType(java.lang.String dialoguesType) {
        this.dialoguesType = dialoguesType;
    }

    /**
     * title
     * 标题
     */
    private java.lang.String title;

    public java.lang.String getTitle() {
        return this.title;
    }

    public void setTitle(java.lang.String title) {
        this.title = title;
    }

    /**
     * member_id
     * 用户
     */
    private java.lang.Long memberId;

    public java.lang.Long getMemberId() {
        return this.memberId;
    }

    public void setMemberId(java.lang.Long memberId) {
        this.memberId = memberId;
    }

    /**
     * file_url
     * 文件地址
     */
    private java.lang.String fileUrl;

    public java.lang.String getFileUrl() {
        return this.fileUrl;
    }

    public void setFileUrl(java.lang.String fileUrl) {
        this.fileUrl = fileUrl;
    }

    /**
     * 文件名
     */
    private String fileName;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /**
     * CREATED_TIME
     * 创建时间
     */
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }

    @Override
    public String toString() {
        return "{" +
                "dialoguesId='" + dialoguesId + '\'' +
                ", dialoguesType='" + dialoguesType + '\'' +
                ", title='" + title + '\'' +
                ", memberId=" + memberId +
                ", fileUrl='" + fileUrl + '\'' +
                ", fileName='" + fileName + '\'' +
                ", createdTime=" + createdTime +
                '}';
    }
}
